com.dlsc.flexgantt.policy.layer

## Interface ILabelPolicy

- All Superinterfaces:
    IPolicy
  All Known Implementing Classes:
    DefaultLabelPolicy

      public interface ILabelPolicy
      extends IPolicy

  A policy for looking up labels used in various places.
  Since:
    1.0
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLabel(IRelationship relationship, IGanttChartModel model, LabelType type)` Returns a label for the given relationship object (usually a summary of the relationship meaning).
    `String` | `getLabel(TimelineObjectPath path, IGanttChartModel model, LabelType type)` Returns various types of labels for a given timeline object.
    `boolean` | `isLabelTypeVisible(TimelineObjectPath path, IGanttChartModel model, LabelType type)` Determines whether or not a certain type of label will be shown for the given timeline object or not.

- - ### Method Detail

    - #### isLabelTypeVisible

          boolean isLabelTypeVisible(TimelineObjectPath path,
                                     IGanttChartModel model,
                                     LabelType type)

      Determines whether or not a certain type of label will be shown for the given timeline object or not.
      Parameters:
        `path` - the path to the timeline object for which the check gets performed
        `model` - the data source that returned the node and timeline object
        `type` - the type of the label (name, tooltip, description, etc...)
      Returns:
        TRUE if the label should be shown
      Since:
        1.0
      See Also:
        `getLabel(TimelineObjectPath, IGanttChartModel, LabelType)`

    - #### getLabel

          String getLabel(TimelineObjectPath path,
                          IGanttChartModel model,
                          LabelType type)

      Returns various types of labels for a given timeline object.
      Parameters:
        `path` - the path to the timeline object for which a label gets requested
        `model` - the data source that returned the node and timeline object
        `type` - the type of the label (name, tooltip, description, etc...)
      Returns:
        a label for the given timeline object and label type
      Since:
        1.0
      See Also:
        `isLabelTypeVisible(TimelineObjectPath, IGanttChartModel, LabelType)`

    - #### getLabel

          String getLabel(IRelationship relationship,
                          IGanttChartModel model,
                          LabelType type)

      Returns a label for the given relationship object (usually a summary of the relationship meaning).
      Parameters:
        `relationship` - the relationship for which a label gets requested
        `model` - the data source that returned the relationship object
        `type` - the label type
      Returns:
        a label for the given relationship
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.